curl --request POST \
--url https://api.hubapi.com/communication-preferences/v4/statuses/batch/unsubscribe-all/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
"<string>"
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"subscriberIdString": "<string>",
"wideStatuses": [
{
"channel": "EMAIL",
"status": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"wideStatusType": "BUSINESS_UNIT_WIDE",
"businessUnitId": 123
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}一連のコンタクトが全てのコミュニケーションからオプトアウトしたかどうかが確認されます。
curl --request POST \
--url https://api.hubapi.com/communication-preferences/v4/statuses/batch/unsubscribe-all/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
"<string>"
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"subscriberIdString": "<string>",
"wideStatuses": [
{
"channel": "EMAIL",
"status": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"wideStatusType": "BUSINESS_UNIT_WIDE",
"businessUnitId": 123
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}サポートされる製品
必須スコープ
The access token received from the authorization server in the OAuth 2.0 flow.
配信カテゴリーのチャネルタイプ。現在のところ、サポートされているチャネルタイプは「EMAIL」のみです。
EMAIL バッチ処理の入力を表す文字列のリスト。
successful operation
バッチ処理が完了した日時。
バッチ処理の結果の配列。それぞれに配信登録ステータス情報が含まれます。
Show child attributes
バッチ処理が始まった日時。
次の値を取り得る、バッチ処理の現在のステータス:PENDING、PROCESSING、CANCELED、COMPLETE.
CANCELED, COMPLETE, PENDING, PROCESSING バッチレスポンスに関連付けられた関連リンクのコレクション。
Show child attributes
バッチリクエストが行われた日時。